@import url("https://use.typekit.net/nem8cqz.css");
@import url("https://use.typekit.net/nem8cqz.css");

:root {
    --main: #1DCD9F;
}

html,
body {
    /* font-family: Verdana, Geneva, Tahoma, sans-serif; */
    font-family: 'inter-variable';
    font-style: normal;
    background-color: #121212 !important;
    color: white;
    padding: 0;
    margin: 0;
    overflow-x: hidden;
}

.mycontainer {
    padding: 0;
    margin: 0;
    margin-left: 0;
    margin-right: 0;
    background-color: #121212;
}

img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

a {
    text-decoration: none !important;
    color: white;
}

h2 {
    padding: 0;
    margin: 0;
}

p {
    padding: 0;
    margin: 0;
    color: white;
}

.textgroup {
    display: flex;
    flex-direction: row;
    column-gap: .5rem;
    align-items: center;
}

/*  */

@keyframes slides {
    from {
        transform: translateX(0);
    }

    to {
        transform: translateX(-100%)
    }
}

.logos {
    width: 700px;
    overflow: hidden;
    white-space: nowrap;
    position: relative;
}

.logos:before {
    position: absolute;
    top: 0;
    left: 0;
    width: 250px;
    height: 100%;
    background: linear-gradient(to left, rgb(255, 255, 255, 0), black);
    content: "";
    z-index: 2;
}

.logos:after {
    position: absolute;
    top: 0;
    right: 0;
    width: 250px;
    height: 100%;
    background: linear-gradient(to right, rgb(255, 255, 255, 0), black);
    content: "";
    z-index: 2;
}

.logoslide {
    display: flex;
    flex-direction: row;
    column-gap: 5rem;
    animation: 25s slides infinite linear;
}

@media (max-width: 768px) {
    .logos {
        width: 350px;
    }

    .logos:before {
        width: 20px;
    }

    .logos:after {
        width: 20px;
    }

    .logoslide {
        column-gap: 500px;
    }
}

/* background */

.block--fullwidth {
    height: 450px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    row-gap: 1rem;
}

.block--header {
    height: 300px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

@media (max-width: 768px) {
    .block--header {
        height: 100px;
    }
}

.bg--white {
    background-color: white;
}

.bg--black {
    background-color: black;
}

.bg--hero {
    z-index: 0;
    margin-bottom: 2rem;
    position: relative;
    object-fit: contain;
}

.bg--hero:after {
    width: 100%;
    height: 300px;
    content: "";
    background: linear-gradient(to bottom, rgb(255, 255, 255, 0), #121212);
    bottom: 0px;
    left: 0px;
    position: absolute;
}

.bg--cinema {
    height: auto;
    width: 100%;
}

.banner--fulldark {
    min-height: 300px;
    background-color: black;
}

.coloricon {
    fill: red;
}


/* header */

.stickytest {
    background-color: red;
    width: 100vw;
    height: 50px;
    position: sticky;
    top: 0;
    z-index: 9999;
}

.header {
    width: 100%;
    background-color: #111111;
    border-bottom: .25px solid #353535;
    position: sticky;
    top: 0;
    z-index: 100;
}

.header--mobile {
    display: none;
    background-color: #111111;
}

@media (max-width: 768px) {
    .header {
        display: none;
        width: 100vw;
    }
    .header--mobile {
        display: flex;
        flex-direction: row;
        width: 100%;
        align-items: center;
        justify-content: center;
    }
}

.headerlogo {
    height: 2rem;
    width: auto;
}

.logoset {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    column-gap: 1rem;
}

.logotext {
    font-weight: 1000;
    margin: 0;
    color: #1DCD9F;
}

.nav {
    width: 980px;
    height: 60px;
    margin: auto;
    display: flex;
    justify-content: space-between;
    flex-direction: row;
    align-items: center;
}

.nav--mobile {
    width: 90%;
    margin: auto;
}

.nav__items {
    display: flex;
    flex-direction: row;
    column-gap: 1rem;
}

.nav__item {
    color: white
}

@media (max-width: 768px) {

    .body {
        width: 100vw;
    }

    .header {
        width: 100vw;
    }

    .nav {
        width: 100%;
    }
}

.iconrow {
    display: flex;
    flex-direction: row;
    column-gap: 2rem;
    width: 100%;
    justify-content: center;
}

/* logo sizes */

.logo--mini {
    height: auto;
    width: 50px;
}

.logo--small {
    height: 2rem;
    width: auto;
}

.logo--medium {
    height: 3rem;
    width: auto;
}

.logo--lg {
    height: 5em;
    width: auto;
}

.logo--xl {
    height: 10em;
    width: auto;
}

/* footer */
.footer {
    width: 100%;
    min-height: 200px;
    background-color: #111111;
    display: flex;
    flex-direction: column;
    justify-content: center;    
}

.grid--footer {
    display: flex;
    width: 980px;
    margin: auto;
    justify-content: center;
    align-items: center;
    gap: 15px;
}

@media (max-width: 768px) {
    .grid--footer {
        width: 100px;
    }
}

.block {
    width: 1250px;
    margin: auto;
    display: flex;
    flex-direction: column;
    align-items: center;
    row-gap: 1rem;
    z-index: 2;
}

@media (max-width: 768px) {
    .block {
        width: 90%;
        margin: auto;
        display: flex;
        flex-direction: column;
        align-items: center;
        row-gap: 1rem;
        z-index: 2;
    }
}

.block--contact {
    min-height: 600px;
    display: flex;
    align-self: center;
    justify-content: center;
}

.block--text {
    /* text-align: center; */
    display: flex;
    flex-direction: column;
    width: 1250px;
    row-gap: .5rem;
}

@media (max-width: 768px) {
    .block--text {
        width: 90%;
        text-align: center;
    }
}

.text--em {
    font-size: 1.25rem;
    font-weight: 500;
    color: #1DCD9F;
}

.textblock {
    width: 900px;
    text-align: justify;
    line-height: 1.5rem;
}

@media (max-width: 768px) {
    .textblock {
        width: auto;
        text-align: center;
    }
}

.border--green {
    border: 1px solid green;
}

.border--red {
    border: 1px solid red;
}

.description--regular {
    font-family: futura;
    font-weight: 300;
}

.effect--hoverscale:hover {
    transform: scale(1.05);
    transition-duration: 200ms;
    transition-timing-function: ease-in-out;
}

.block--maxheight {
    height: 80vh;
}

.text--center {
    text-align: center;
}

.text--main {
    color: #1DCD9F
}

.text--hoverscale:hover {
    transform: scale(1.05);
    transition-duration: 200ms;
    transition-timing-function: ease-in-out;
}

.block--hero {
    display: flex;
    width: 100vw;
    flex-direction: column;
    align-items: center;
    margin-top: 5rem;
    z-index: 1;
}

/* titles */

.title {
    color: #1DCD9F;
    padding: 0;
    margin: 0;
    font-weight: 800;
}

.title--white {
    color: white;
}

.title--glow {
    /* box-shadow: 120px 5px 5px 20px #0ff; */
}

.title--regular {
    font-size: 1rem;
    padding: 0;
    color: white;
}

.title--med {
    font-size: 1.25rem;
    font-family: 'inter-variable';
    padding: 0;
    margin: 0;
}


.title--xl {
    font-size: 4rem;
    padding: 0;
    margin: 0;
}


.title--satisfaction {
    font-size: 1.5rem;
    font-weight: 800;
    color: white;
    top: 20px;
    position: absolute;
    z-index: 3;
}

@media (max-width: 768px) {

    .title {
        color: #1DCD9F;
        padding: 0;
        margin: 0;
        font-size: 15px;
        font-weight: 800;
    }

    .title--regular {
        font-size: 10px;
        padding: 0;
        margin: 5px;
        text-align: center;
    }

    .hero__desc {
        margin-left: 15px;
        margin-right: 15px;
        border: 1px solid black;
    }

    .title--med {
        font-size: 16px;
        font-family: 'inter-variable';
        padding: 0;
        margin: 0;
    }
    

    .title--xl {
        font-size: 2rem;
        padding: 0;
        margin: 0;
    }

    .title--satisfaction {
        font-size: 12px;
        text-align: center;
    }

}

.title--large {
    font-size: 3rem;
    padding: 0;
    margin: 0;
}


.font--roboto {
    font-family: "roboto-mono", monospace;
    font-weight: 300;
    font-style: normal;
}

/* buttons */

.icon--burger {
    height: 2rem;
    width: 2rem;  
}

.cta {
    background-color: white;
    font-weight: 1000;
    margin: .5rem;
    min-width: 100px;
    height: 50px;
    padding: .5rem;
    border: none;
    border-radius: 5px;
}

.cta:hover {
    background-color: var(--main);
    color: white;
    cursor: pointer;
}

.cta.active {
    transform: scale(1.2);
}


/* rows/cards */

.row--cards {
    width: 100%;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    column-gap: 1rem;
    row-gap: 1rem;
}

/* cards */

.card--mini {
    display: flex;
    width: 200px;
    height: auto;
    flex-direction: column;
    border: 1px dashed #1DCD9F;
    padding: 1rem;
    border-radius: 10px;
}

.card--mini:hover {
    transform: scale(1.025);
}

.card--mini--highlight {
    border: 1px dashed white;
}

.card--image {
    background-color: #0c0c0c;
    border-radius: 10px;
    width: 400px;
    min-height: 400px;
    display: flex;
    flex-direction: column;
    align-items: center;
    position: relative;
}

@media (max-width: 768px) {
    .card--image {
        width: 100%;
        min-height: 300px;
    }

    .card--mini {
        width: 250px;
    }
}

.image--card {
    border-radius: 10px;
    width: 100%;
    height: 100%;
    position: absolute;
    object-fit: cover;
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
}

@media (max-width: 768px) {
    .image--card {
        width: 300px;
        height: 300px;
    }
}

.card--image:hover {
    transform: scale(1.02);
    transition-duration: 200ms;
    transition-timing-function: ease-in-out;
}

.grid {
    flex-wrap: wrap;
    display: flex;
    flex-direction: row;
    width: 1250px;
    gap: 15px;
}

@media (max-width: 768px) {
    .grid {
        align-items: center;
        justify-content: center;
    }
}

.card__text {
    z-index: 1;
    display: flex;
    border-radius: 10px;
    flex-direction: row;
    height: 50px;
    width: 100%;
    justify-content: center;
    align-items: center;
    padding: 1rem;
    column-gap: .5rem;
    background: rgb(247, 238, 255);
    background: linear-gradient(0deg, rgba(247, 238, 255, 0) 0%, rgba(0, 0, 0, 0.8) 50%, rgba(0, 0, 0, 1) 100%);
}

@media (max-width: 768px) {
    .grid {
        width: 300px;
    }
    .card__text {
        width: 300px;
        padding: 0;
    }
}

/* corrections */

.correct--ayalalogo {
    margin-top: -10px;
}

.img--banner {
    width: 100%;
    height: 200px;
    border-radius: 5px;
    object-fit: cover;
    position: relative;
}

.img--banner:before {
    position: absolute;
    top: 0;
    left: 0;
    width: 550px;
    height: 100%;
    background: linear-gradient(to left, rgb(255, 255, 255, 0), #121212);
    content: "";
    z-index: 2;
}

.img--banner:after {
    position: absolute;
    top: 0;
    right: 0;
    width: 550px;
    height: 100%;
    background: linear-gradient(to right, rgb(255, 255, 255, 0), #121212);
    content: "";
    z-index: 2;
}

.text--align--center {
    display: flex;
    flex-direction: column;
    align-items: center;
}

/* campfire fire */

@-webkit-keyframes fire {
    0% {
        transform: scaleY(1);
    }

    28% {
        transform: scaleY(0.7);
    }

    38% {
        transform: scaleY(0.8);
    }

    50% {
        transform: scaleY(0.6);
    }

    70% {
        transform: scaleY(0.95);
    }

    82% {
        transform: scaleY(0.58);
    }

    100% {
        transform: scaleY(1);
    }
}

.camp {
    width: 1250px;
    height: 350px;
    display: flex;
    flex-direction: column;
    position: relative;
}

.campbase {
    width: 1250px;
    height: 200px;
    bottom: 0;
    position: absolute;
    z-index: 1;
    background: linear-gradient(to bottom, rgba(29, 205, 159, 1), rgba(29, 205, 159, 1), rgba(29, 205, 159, 1), rgba(29, 205, 159, .9), rgba(29, 205, 159, .5), rgba(0, 0, 0, 0));
}

.firegroup {
    display: flex;
    position: absolute;
    top: 80px;
    gap: 4px;
}

@media (max-width: 768px) {

    .block--fire {
        display: none;
    }

    .camp {
        width: 90%;
    }

    .campbase {
        width: 90%;
    }

}

.fire {
    width: 40px;
    background: linear-gradient(to bottom, rgba(29, 205, 159, 1), rgba(29, 205, 159, 1), rgba(29, 205, 159, 1), rgba(29, 205, 159, .9), rgba(29, 205, 159, .5), rgba(0, 0, 0, 0));
    animation: fire 2s ease-in-out infinite alternate;
}

.fire:nth-child(1) {
    height: 120px;
    border-radius: 20px;
    animation-duration: 2s;
}

.fire:nth-child(2) {
    height: 150px;
    border-radius: 100px;
    animation-duration: 3.2s;
}

.fire:nth-child(3) {
    height: 90px;
    border-radius: 100px;
    animation-duration: 2.4s;
}

.fire:nth-child(4) {
    height: 130px;
    border-radius: 100px;
    animation-duration: 2.8s;
}

.fire:nth-child(5) {
    height: 100px;
    border-radius: 100px;
    animation-duration: 2.2s;
}

.fire:nth-child(6) {
    height: 140px;
    border-radius: 100px;
    animation-duration: 3s;
}

.fire:nth-child(7) {
    height: 110px;
    border-radius: 100px;
    animation-duration: 2.6s;
}

.fire:nth-child(8) {
    height: 135px;
    border-radius: 100px;
    animation-duration: 3.4s;
}

.fire:nth-child(9) {
    height: 95px;
    border-radius: 100px;
    animation-duration: 2.1s;
}

.fire:nth-child(10) {
    height: 150px;
    border-radius: 100px;
    animation-duration: 3.6s;
}

.fire:nth-child(11) {
    height: 125px;
    border-radius: 100px;
    animation-duration: 2.3s;
}

.fire:nth-child(12) {
    height: 85px;
    border-radius: 100px;
    animation-duration: 2.7s;
}

.fire:nth-child(13) {
    height: 145px;
    border-radius: 100px;
    animation-duration: 3s;
}

.fire:nth-child(14) {
    height: 100px;
    border-radius: 100px;
    animation-duration: 2.2s;
}

.fire:nth-child(15) {
    height: 135px;
    border-radius: 100px;
    animation-duration: 2.5s;
}

.fire:nth-child(16) {
    height: 90px;
    border-radius: 100px;
    animation-duration: 2.4s;
}

.fire:nth-child(17) {
    height: 140px;
    border-radius: 100px;
    animation-duration: 3.3s;
}

.fire:nth-child(18) {
    height: 105px;
    border-radius: 100px;
    animation-duration: 2.6s;
}

.fire:nth-child(19) {
    height: 130px;
    border-radius: 100px;
    animation-duration: 3.1s;
}

.fire:nth-child(20) {
    height: 115px;
    border-radius: 100px;
    animation-duration: 2.9s;
}

.fire:nth-child(21) {
    height: 140px;
    border-radius: 100px;
    animation-duration: 2.7s;
}

.fire:nth-child(22) {
    height: 95px;
    border-radius: 100px;
    animation-duration: 3.3s;
}

.fire:nth-child(23) {
    height: 110px;
    border-radius: 100px;
    animation-duration: 2.1s;
}

.fire:nth-child(24) {
    height: 150px;
    border-radius: 100px;
    animation-duration: 3.5s;
}

.fire:nth-child(25) {
    height: 125px;
    border-radius: 100px;
    animation-duration: 2.4s;
}

.fire:nth-child(26) {
    height: 90px;
    border-radius: 100px;
    animation-duration: 3s;
}

.fire:nth-child(27) {
    height: 100px;
    border-radius: 100px;
    animation-duration: 2.2s;
}

.fire:nth-child(28) {
    height: 130px;
    border-radius: 100px;
    animation-duration: 3.1s;
}

.fire:nth-child(29) {
    height: 120px;
    border-radius: 100px;
    animation-duration: 2.6s;
}

.fire:nth-child(30) {
    height: 85px;
    border-radius: 100px;
    animation-duration: 2.9s;
}

@keyframes fire {
    from {
        transform: scaleY(1);
    }

    to {
        transform: scaleY(1.2);
    }
}

/* product page */

.productbox {
    width: 980px;
    height: 400px;
    display: flex;
    flex-direction: row;
    margin-bottom: 3rem;
}

.productbox__image {
    background-color: white;
    width: 50%;
    height: 100%;
    border-radius: 12px;
    overflow: hidden;
}

.round-corners {
    border-radius: 12px;
}

.productbox__content {
    color: white;
    font-size: 1rem;
    font-weight: 300;
}

.block--fullheight {
    min-height: 80vh;
}

.mydropdown-text {
    margin: 1rem;
}


@media (max-width: 768px) {
    .productbox {
        display: flex;
        flex-direction: column;
        width: 100%;
        height: 400px;
        justify-content: center;
        align-items: center;
    }

    .productbox__image {
        width: 100%;
    }

    .productbox__content {
        margin-top: 10px;
        font-size: .75rem;
    }
}



/* product block */

.productBlock__header {
    display: flex;
    flex-direction: row;
}

/* custom buttons */ 

.button--primary {
    color: var(--main);
    background-color: #242424;   
}